globus_gssapi_error_api(3)

NAME
globus_gssapi_error_api - Globus GSSAPI Error API

 - Globus GSSAPI Error API.

SYNOPSIS

  Topics

Error Construction
Error Construction.
Error Data Accessors and Modifiers
Error Data Accessors and Modifiers.
Error Handling Helpers
Error Handling Helpers.

Detailed Description

Globus GSSAPI Error API.

These globus_error functions are motivated by the desire to provide a easier way of generating new error types, while at the same time preserving all features (e.g. memory management, chaining) of the current error handling framework. The functions in this API are auxiliary to the function in the Globus Generic Error API in the sense that they provide a wrapper for representing GSSAPI errors in terms of a globus_error_t.

Any program that uses Globus GSSAPI Error functions must include the globus_error_gssapi.h header.

Author

Generated automatically by Doxygen for globus_gssapi_error from the source code.